Bug 1817958 - Official governement PDF form cannot be printed
Summary: Official governement PDF form cannot be printed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-27 10:24 UTC by Yann Droneaud
Modified: 2020-05-06 03:07 UTC (History)
13 users (show)

Fixed In Version: cairo-1.16.0-6.fc30 cairo-1.16.0-7.fc31 cairo-1.16.0-8.fc32 cairo-1.16.0-8.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 02:31:18 UTC
Type: Bug


Attachments (Terms of Use)
Official PDF form (134.44 KB, application/pdf)
2020-03-27 10:24 UTC, Yann Droneaud
no flags Details
PDF form viewed in evince (screenshot) (146.85 KB, image/png)
2020-03-27 10:33 UTC, Yann Droneaud
no flags Details
PDF form print previewed in evince (screenshot) (24.38 KB, image/png)
2020-03-27 10:34 UTC, Yann Droneaud
no flags Details
PDF form printed (scan) (393.05 KB, image/jpeg)
2020-03-27 10:45 UTC, Yann Droneaud
no flags Details

Description Yann Droneaud 2020-03-27 10:24:23 UTC
Created attachment 1674039 [details]
Official PDF form

Description of problem:

The official PDF form made available by the French government to allow short trip outside our home during Covid19 outbreak cannot be printed with document viewer.

The form can be downloaded from here:

  https://www.interieur.gouv.fr/Actualites/L-actu-du-Ministere/Attestation-de-deplacement-derogatoire-et-justificatif-de-deplacement-professionnel

And was made available using Bittorrent, see

  https://www.nextinpact.com/news/108799-confinement-en-france-telechargez-modele-dattestation-obligatoire-en-cas-deplacement.htm

The PDF can be opened correctly, one can fill the fields, but print preview and print is broken.

Comment 1 Yann Droneaud 2020-03-27 10:33:56 UTC
Created attachment 1674041 [details]
PDF form viewed in evince (screenshot)

Comment 2 Yann Droneaud 2020-03-27 10:34:57 UTC
Created attachment 1674042 [details]
PDF form print previewed in evince (screenshot)

Comment 3 Yann Droneaud 2020-03-27 10:45:12 UTC
Created attachment 1674046 [details]
PDF form printed (scan)

Comment 4 Marek Kašík 2020-03-27 19:12:52 UTC
Hi,

I had a look at this today and this is a bug in cairo. It rejects a font in the PDF and stops exporting fonts at that point. I've prepared an upstream merge request which fixes the issue for me (see https://gitlab.freedesktop.org/cairo/cairo/-/merge_requests/39).

I've also prepared a scratch build with the fix. You can find it here (once it finishes building):

https://koji.fedoraproject.org/koji/taskinfo?taskID=42805270

Comment 5 Christophe Fergeau 2020-03-30 13:55:27 UTC
The scratch build fixes the issue for me.

Comment 6 Marek Kašík 2020-04-24 11:40:01 UTC
I've pushed the fix to F30, F31, F32 and rawhide.

Comment 7 Fedora Update System 2020-04-24 11:46:00 UTC
FEDORA-2020-a3ce0aaf08 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3ce0aaf08

Comment 8 Fedora Update System 2020-04-24 11:46:02 UTC
FEDORA-2020-ee0bd69573 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ee0bd69573

Comment 9 Fedora Update System 2020-04-24 11:46:07 UTC
FEDORA-2020-a615847091 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a615847091

Comment 10 Fedora Update System 2020-04-25 04:19:04 UTC
FEDORA-2020-ee0bd69573 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ee0bd69573`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ee0bd69573

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-25 04:55:33 UTC
FEDORA-2020-a615847091 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a615847091`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a615847091

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-25 12:21:03 UTC
FEDORA-2020-a3ce0aaf08 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a3ce0aaf08`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3ce0aaf08

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-04-28 02:31:18 UTC
FEDORA-2020-a3ce0aaf08 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-02 03:31:43 UTC
FEDORA-2020-a615847091 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-06 03:07:15 UTC
FEDORA-2020-ee0bd69573 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.